org.keycloak.account.freemarker.model

## Class UrlBean

- java.lang.Object
- - org.keycloak.account.freemarker.model.UrlBean

-     public class UrlBean
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UrlBean(RealmModel realm, Theme theme, URI baseURI, URI baseQueryURI, URI currentURI, String stateChecker)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAccessUrl()`
    `String` | `getAccountUrl()`
    `String` | `getLogoutUrl()`
    `String` | `getLogUrl()`
    `String` | `getPasswordUrl()`
    `String` | `getResourcesPath()`
    `String` | `getSessionsLogoutUrl()`
    `String` | `getSessionsUrl()`
    `String` | `getSocialUrl()`
    `String` | `getTotpRemoveUrl()`
    `String` | `getTotpUrl()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UrlBean

          public UrlBean(RealmModel realm,
                 Theme theme,
                 URI baseURI,
                 URI baseQueryURI,
                 URI currentURI,
                 String stateChecker)

  - ### Method Detail

    - #### getAccessUrl

          public String getAccessUrl()

    - #### getAccountUrl

          public String getAccountUrl()

    - #### getPasswordUrl

          public String getPasswordUrl()

    - #### getSocialUrl

          public String getSocialUrl()

    - #### getTotpUrl

          public String getTotpUrl()

    - #### getLogUrl

          public String getLogUrl()

    - #### getSessionsUrl

          public String getSessionsUrl()

    - #### getSessionsLogoutUrl

          public String getSessionsLogoutUrl()

    - #### getTotpRemoveUrl

          public String getTotpRemoveUrl()

    - #### getLogoutUrl

          public String getLogoutUrl()

    - #### getResourcesPath

          public String getResourcesPath()

Copyright © 2014. All Rights Reserved.